Video Gen API 开发者文档
使用指南火山兼容APIOpenAI 兼容API在线调试帮助支持
素材 REST API

批量导入 URL

POST /api/video-studio/assets/ecloud/import-urls

POST
/api/video-studio/assets/ecloud/import-urls

Authorization

BearerAuth

AuthorizationBearer <token>

NewAPI API Key,例如 sk-...。不同 API Key 拥有相互隔离的素材空间。

In: header

Request Body

application/json

assetUrls*array<string>
Items1 <= items <= 50
assetType*string
Value in"Image" | "Video" | "Audio"
displayName?string

未指定 groupId 时的新素材组展示名

groupId?string

已有素材组 ID

[key: string]?never

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://jieyun.cc/api/video-studio/assets/ecloud/import-urls" \  -H "Content-Type: application/json" \  -d '{    "assetUrls": [      "https://files.example.com/first.png",      "https://files.example.com/last.png"    ],    "assetType": "Image",    "displayName": "首尾帧素材"  }'
{
  "data": {
    "groupId": "string",
    "assets": [
      {
        "assetId": "asset_xxx",
        "assetName": "产品主图",
        "assetUrl": "string",
        "assetType": "Image",
        "status": "Processing",
        "errorCode": "string",
        "errorMessage": "string",
        "createdAt": 0,
        "updatedAt": 0
      }
    ]
  },
  "error": null,
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "invalid_request",
    "message": "request is invalid"
  },
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "invalid_request",
    "message": "request is invalid"
  },
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "invalid_request",
    "message": "request is invalid"
  },
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "invalid_request",
    "message": "request is invalid"
  },
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "invalid_request",
    "message": "request is invalid"
  },
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "invalid_request",
    "message": "request is invalid"
  },
  "request_id": "req_xxx"
}

最后更新于